|  | Home |

# QMailContentManagerPlugin Class Reference

The QMailContentManagerPlugin class defines a base class for implementing message content manager plugins. More...

        #include <QMailContentManagerPlugin>

Inherits QObject and QMailContentManagerPluginInterface.

- List of all members, including inherited members

## Public Functions

| QMailContentManagerPlugin ()
| ~QMailContentManagerPlugin ()
virtual QStringList | keys () const

- 29 public functions inherited from QObject
- 2 public functions inherited from QMailContentManagerPluginInterface

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailContentManagerPlugin class defines a base class for implementing message content manager plugins.

The QMailContentManagerPlugin class provides a base class for plugin classes that provide message content management functionality. Classes that inherit QMailContentManagerPlugin need to provide overrides of the key and create member functions.

See also QMailContentManagerPluginInterface, QMailContentManager, and QMailContentManagerFactory.

## Member Function Documentation

### QMailContentManagerPlugin::QMailContentManagerPlugin ()

Creates a message content manager plugin instance.

### QMailContentManagerPlugin::~QMailContentManagerPlugin ()

Destroys the QMailContentManagerPlugin object.

### QStringList QMailContentManagerPlugin::keys () const `[virtual]`

Returns the list of interfaces implemented by this plugin.